/*==================================================
    TECHMAIL LOGIN
    TechNova Inc.
==================================================*/

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html {
    width:100%;
    height:100%;
}


body{
    min-height:100%;
    font-family:'Montserrat',sans-serif;
    background:#f6f7f9;
    display:flex;
    justify-content:center;
    align-items:center;
    overflow-y:auto;
    padding:20px;
}

/*==================================================
    FONDO
==================================================*/

body::before{

    content:"";
    position:fixed;
    width:700px;
    height:700px;
    border-radius:50%;
    background:rgba(62,43,116,.05);
    top:-220px;
    left:-220px;
    filter:blur(10px);
     z-index:-2;
}

body::after{

    content:"";
    position:fixed;
    width:550px;
    height:550px;
    border-radius:50%;
    background:rgba(26,103,153,.05);
    bottom:-180px;
    right:-180px;
    filter:blur(10px);
     z-index:-2;
}

/*==================================================
    CONTENEDOR
==================================================*/

.login-container{

    width:100%;
    max-width:100vh;
    display:flex;
    justify-content:center;
    align-items:center;
    z-index:2;
}

/*==================================================
    TARJETA
==================================================*/

.login-card{
    width:100%;
    max-width:520px;
    background:#ffffff;
    border-radius:28px;
    overflow:hidden;
    display:flex;
    flex-direction:column;
    box-shadow:0 25px 60px rgba(0,0,0,.20);
}

/*==================================================
    PANEL IZQUIERDO
==================================================*/

.login-left{
    background:#ffffff;
    padding:35px 45px 0px; 
    display:flex;
    flex-direction:column;
    align-items:center;
}


/*==================================================
    LOGO
==================================================*/

.login-logo{
    width:80%;
    height:auto;
    margin-bottom:35px;
    transition:transform .35s ease;
    cursor:pointer;
    padding:10px 0px 10px 0px;
}

.login-logo:hover{
    transform:translateY(-8px) scale(1.05);
}

/*==================================================
    TITULO
==================================================*/

.login-left h1{
    text-align:center;
    color:#0b1a40;
    font-size:2rem;
    font-weight:800;
    margin-bottom:12px;
}

.login-description{
    text-align:center;
    color:#666;
    line-height:1.7;
    margin-bottom:35px;
}

/*==================================================
    ALERTA
==================================================*/

.alert-error{
    background:#fdecec;
    color:#b00020;
    padding:15px;
    border-radius:12px;
    margin-bottom:25px;
    display:flex;
    align-items:center;
    gap:10px;
    font-size:.95rem;
}


/*==================================================
    FORMULARIO
==================================================*/

form{
    width:100%;
}

.form-group{
    margin-bottom:22px;
}

.form-group label{
    display:block;
    margin-bottom:10px;
    font-size:.95rem;
    font-weight:600;
    color:#444;
}

/*==================================================
    INPUT GROUP
==================================================*/

.input-group{
    width:100%;
    height:56px;
    border:1px solid #dddddd;
    border-radius:14px;
    display:flex;
    align-items:center;
    padding:0 18px;
    transition:.30s;
    background:#ffffff;
}

.input-group:hover{
    border-color:#0b1a40;
}

.input-group:focus-within{
    border-color:#0b1a40;
    box-shadow:
        0 0 0 4px rgba(62,43,116,.10);
}

.input-group i{
    color:#8a8a8a;
    width:22px;
    font-size:1rem;
}

/*==================================================
    INPUT
==================================================*/

.input-group input{
    flex:1;
    border:none;
    outline:none;
    background:none;
    padding-left:12px;
    font-size:.95rem;
    font-family:'Montserrat',sans-serif;
    color:#333;
}

.input-group input::placeholder{
    color:#a9a9a9;
}

/*==================================================
    BOTON VER PASSWORD
==================================================*/

#togglePassword{
    border:none;
    background:none;
    cursor:pointer;
    color:#7d7d7d;
    font-size:1rem;
    transition:.25s;
}

#togglePassword:hover{
    color:#0b1a40;
}

/*==================================================
    OLVIDÓ CONTRASEÑA
==================================================*/

.forgot-password{
    text-align:right;
    margin-bottom:30px;
}

.forgot-password a{
    color:#0b1a40;
    text-decoration:none;
    font-size:.90rem;
    font-weight:600;
}

.forgot-password a:hover{
     color:#277400;
}

/*==================================================
    BOTON LOGIN
==================================================*/

.btn-login{
    width:100%;
    height:56px;
    border:none;
    border-radius:14px;
    background:#277400;
    color:#ffffff;
    font-size:1rem;
    font-weight:700;
    cursor:pointer;
    transition:.30s;
    display:flex;
    justify-content:center;
    align-items:center;
    gap:10px;
    animation:fadeUp 1s ease;
}

.btn-login:hover{
    background:#0b1a40;
    transform:translateY(-2px);
    box-shadow:
        0 12px 30px rgba(26,103,153,.25);
}


/*==================================================
    FOOTER
==================================================*/

.login-footer{
    margin-top:20px;
    display:flex;
    justify-content:center;
    align-items:center;
    gap:12px;
}

.login-footer span{
    flex:1;
    height:1px;
    background:#e5e5e5;
}

.login-footer p{
    font-size:.80rem;
    color:#888;
    white-space:nowrap;
}

.login-footer a{
    color:#0b1a40;
    text-decoration:none;
    font-weight:700;
    white-space:nowrap;
}

.login-footer a:hover{
    color:#1a6799;
}


/*==================================================
    IMAGEN INFERIOR
==================================================*/

.login-image{
    background:transparent;
    width:100%;
    margin-top:-20px;
    line-height:0;
      z-index:1;
}

.login-image img{
    width:100%;
    height:auto;
}

/*==================================================
    ANIMACIONES
==================================================*/

@keyframes float{

    0%{
        transform:translateY(0px);
    }

    50%{
        transform:translateY(-12px);
    }

    100%{
        transform:translateY(0px);
    }
}

/*==================================================
    RESPONSIVE
==================================================*/

@media(max-width:1100px){

    .login-card{
        grid-template-columns:1fr;
        max-width:620px;
    }

}

@media(max-width:768px){
    .login-container{
        padding:20px;
    }

    .login-left{
        padding:40px 30px;
    }

    .login-logo{
        width:250px;
        margin:0 auto 30px;
        display:block;
    }

    .login-left h1{
        text-align:center;
        font-size:1.8rem;
    }

    .login-description{
        text-align:center;
    }

}

@media(max-width:480px){

    .login-left{
        padding:30px 20px;
    }

    .login-card{
        border-radius:18px;
    }

    .btn-login{
        height:52px;
        font-size:.95rem;
    }

}

@keyframes fadeUp{

    from{
        opacity:0;
        transform:translateY(20px);
    }

    to{
        opacity:1;
        transform:translateY(0);
    }
}

